%global modulename	html5lib

Summary:	A python based HTML parser/tokenizer based on the WHATWG HTML5 specification
Name:		python-%{modulename}
Version:	0.11
Release:	2%{?dist}
Group:		Development/Libraries
License:	MIT
URL:		http://code.google.com/p/html5lib/
BuildArch:	noarch
Source0:	http://html5lib.googlecode.com/files/%{modulename}-%{version}.zip
# add patches, if any, here
# build and runtime requirements here

BuildRequires:	python-setuptools-devel
Requires:	python

Provides:	%{modulename} = %{version}

%description
A python based HTML parser/tokenizer based on the WHATWG HTML5 
specification for maximum compatibility with major desktop web browsers.

%prep
%setup -q -n %{modulename}-%{version}

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%check
#%{__python} setup.py test

%files
%defattr(-,root,root,0755)
%doc examples README
%{python_sitelib}/%{modulename}-*.egg-info
%{python_sitelib}/%{modulename}/*.py*
%{python_sitelib}/%{modulename}/treebuilders/*.py*
%{python_sitelib}/%{modulename}/serializer/*.py*
%{python_sitelib}/%{modulename}/treewalkers/*.py*
%{python_sitelib}/%{modulename}/filters/*.py*

%changelog
* Sun Dec 12 2010 Oded Arbel <oded@geek.co.il> 0.11-2fc14
- Updated according to package review

* Sun Dec 5 2010 Oded Arbel <oded@geek.co.il> 0.11-1fc14
- Update to current upstream version 0.11

* Tue Aug 14 2007 Oded Arbel <oded@geek.co.il> 0.9-2fc7
- autodetect python sitelib according to Fedora packaging guidelines

* Mon Aug 13 2007 Oded Arbel <oded@geek.co.il> 0.9-1fc7
- First build
